- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PacketLogger Class Reference
[PacketLogger]

Writes incoming and outgoing messages to the screen. This will write all incoming and outgoing messages to the console window, or to a file if you override it and give it this functionality. More...

`#include <PacketLogger.h>`

Inheritance diagram for PacketLogger:

List of all members.

## Public Member Functions
virtual void | OnAttach (RakPeerInterface *peer)
virtual void | Update (RakPeerInterface *peer)
virtual void | OnDirectSocketSend (const char *data, const BitSize_t bitsUsed, SystemAddress remoteSystemAddress)
| Events on low level sends and receives. These functions may be called from different threads at the same time.
virtual void | OnDirectSocketReceive (const char *data, const BitSize_t bitsUsed, SystemAddress remoteSystemAddress)
virtual void | OnInternalPacket (InternalPacket *internalPacket, unsigned frameNumber, SystemAddress remoteSystemAddress, RakNetTime time, bool isSend)
virtual void | LogHeader (void)
| Logs out a header for all the data.
virtual void | WriteLog (const char *str)
| Override this to log strings to wherever. Log should be threadsafe.
virtual void | SetPrefix (const char *_prefix)
| Prepend this string to output logs.
virtual void | SetSuffix (const char *_suffix)
| Append this string to output logs. (newline is useful here).

## Detailed Description

Writes incoming and outgoing messages to the screen. This will write all incoming and outgoing messages to the console window, or to a file if you override it and give it this functionality.

## Member Function Documentation

void PacketLogger::OnAttach | ( | RakPeerInterface * | peer | ) | `[virtual]`

Called when the interface is attached

Parameters:

  `[in]` | peer | the instance of RakPeer that is calling Receive

Reimplemented from PluginInterface.

void PacketLogger::Update | ( | RakPeerInterface * | peer | ) | `[virtual]`

Update is called every time a packet is checked for .

Parameters:

  `[in]` | peer | - the instance of RakPeer that is calling Receive

Reimplemented from PluginInterface.

Reimplemented in ThreadsafePacketLogger.

void PacketLogger::OnDirectSocketReceive | ( | const char * | data,
|  | const BitSize_t | bitsUsed,
|  | SystemAddress | remoteSystemAddress |
| ) |  |  | `[virtual]`

Called on a receive from the socket, per datagram, that does not go through the reliability layer

Parameters:

  `[in]` | data | The data being sent
  `[in]` | bitsUsed | How many bits long data is
  `[in]` | remoteSystemAddress | Which system this message is being sent to

Reimplemented from PluginInterface.

void PacketLogger::OnInternalPacket | ( | InternalPacket * | internalPacket,
|  | unsigned | frameNumber,
|  | SystemAddress | remoteSystemAddress,
|  | RakNetTime | time,
|  | bool | isSend |
| ) |  |  | `[virtual]`

Called on a send or recieve within the reliability layer

Parameters:

  `[in]` | internalPacket | The user message, along with all send data.
  `[in]` | frameNumber | The number of frames sent or received so far for this player depending on isSend . Indicates the frame of this user message.
  `[in]` | remoteSystemAddress | The player we sent or got this packet from
  `[in]` | time | The current time as returned by RakNet::GetTime()
  `[in]` | isSend | Is this callback representing a send event or receive event?

Reimplemented from PluginInterface.

The documentation for this class was generated from the following files:

- C:/RakNet/Source/PacketLogger.h
- C:/RakNet/Source/PacketLogger.cpp